#view-swapAmount {
  p {
    text-align: center;
    word-break: normal;
  }

  #swapAmount-label-from-balance {
    display: block;
    width: 100%;
    padding-right: 8px;
    margin-top: 14px;
    margin-bottom: 14px;
    div {
      display: inline-block;
      float: right;
    }
  }
  
  #swapAmount-label-to {
    margin-top: 14px;
    margin-bottom: 14px;
  }

  .swapAmount-field-elements {
    position: relative;
    z-index: 99999;
    float: right;
    margin: -55px 12px 0 0;

    #swapAmount-fromSymbol,
    #swapAmount-toSymbol {
      display: inline-block;
      color: $grey;
      font-weight: $semi-bold;
      background: transparent;
      margin: 1px 6px 0 0;

      @include font-size();
      @include border-radius();
    }

    #swapAmount-max-button,
    #swapAmount-plus-button,
    #swapAmount-min-button {
      display: inline-block;
      min-height: 5px;
      margin: -4px 1px 0 0;
      padding: 5px 9px;
      background: #555;
      border: 0 solid transparent !important;
      color: #fff;
      font-weight: 700;
      letter-spacing: 0.5px;

      &.disabled {
        background: #bbb;
        border-color: 1px solid #999;
      }
    }

    #swapAmount-plus-button,
    #swapAmount-min-button {
      width: 2em;
    }
  }

  #swapAmount-fees {
    border-radius: 8px;
    background: #fff6fd;
    border: 1px solid #cb78d0;
    color: #888;
    padding: 12px;
    display: block;
    margin-bottom: 1em;

    table {
      width: 100%;
      margin-left: 1em;

      td {
        vertical-align: top;
      }
    }
  }

  #swapAmount-action {
    font-style: italic;
  }

  #swapAmount-message {
    color: red;
    text-align: center;
  }

  #swapAmount-downArrow {
    text-align: center;
    font-size: 2em;
    margin: 0.75em;
  }


  #swapAmount-spinner {
    display: none;
    background: linear-gradient(rgba(255,255,255,0.75),rgba(255,255,255,0.85),rgba(255,255,255,0));
    width: calc(100% - 48px);
    height: calc(100% - 80px);
    top: 80px;
    text-align: center;
    position: absolute;
    .spinner-loader {
      margin-top: 25vh;
      margin-left: 0;
    }
  }

  #swapAmount-spinner-message {
    margin-top: 24px;
    font-size: 1.2em;
    font-weight: bold;
  }

  // Buttons

  #swapAmount-buttons {
    background: none;
  }

  #swapAmount-back {
    width: 32%;
    margin-right: 2%;
  }

  #swapAmount-next {
    width: 60%;
  }
}
